//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ELV Elektronik AG
// ELV STI 100 Example Code
//
// File:					main.c
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

#include <inavr.h>
#include <ioavr.h>
// include user-defined header files
#include "defines.h"									// general definitions
#include "tools.h"
#include "uart.h"
#include "VNC1L.h"


volatile unsigned int uiTimeOut = 0;
unsigned char mode = 0;

//++++++++++++++++++++++++++++++++++++++++++++++
// Initialise all special-function-registers
// of the MCU
void init(void)
{
	TCCR0B = 0x05;									// prescaler = CLK/1024
	TIMSK0 = 0x01;									// enable T0_OVF interrupt
}

//+++++++++++++++++++++++++++++++++++++++++++++
// Timer 0 interrupt: Scheduler
#pragma vector=TIMER0_OVF_vect
__interrupt void TIMER0_OVF_isr(void)
{
	if(uiTimeOut)
	{
		uiTimeOut--;
	}
}

void main(void)
{
	unsigned char cnt = 0;
	init();
	uart_init();

		if( vnc1l_init() < 2 )
		{
			
		}
		else
		{
			mode = 0xff;
		}

	
	while(1)
	{
		if(mode == 0)
		{
			delay_ms(2000);
			write_data_to_file(11,"hallo welt\r");
			cnt++;
			if(cnt > 20)
			{
				close_file("welt.txt",8);
				mode = 0xff;
			}
		}
		if( mode == 3)
		{
			if(ucRXI == PROMPT_DETECTED)
			{
				send_vnc1l_instruction(WAKE);
				wait_for_vnc1l();
	
				delete_file("welt.txt",8);
				wait_for_vnc1l();
				
				open_file_to_write("welt.txt",8);
				wait_for_vnc1l();
				
				mode = 0;
				
			}
		}
	}
}


